/*
 * @Author: YKH
 * @Date: 2022-09-02 19:24:43
 * @LastEditTime: 2022-10-03 17:14:07
 * @Description: file content
 * @FilePath: \cool-admin-3.x\cool-admin-vue-vue3-ts-vite\src\cool\modules\shuyou\service\rent_computer.ts
 */
import { BaseService, Permission, Service } from "/@/core";

@Service("shuyou/rent_computer")
class ShuyouRentComputer extends BaseService {
	@Permission("replaceNum")
	replaceNum(data: any) {
		return this.request({
			url: "/replaceNum",
			method: "POST",
			data
		});
	}
	@Permission("rentComputerList")
	rentComputerList(data: any) {
		return this.request({
			url: "/rentComputerList",
			method: "POST",
			data
		});
	}
	@Permission("rentingOut")
	rentingOut(data: any) {
		return this.request({
			url: "/rentingOut",
			method: "POST",
			data
		});
	}
	@Permission("renew")
	renew(data: any) {
		return this.request({
			url: "/renew",
			method: "POST",
			data
		});
	}
	@Permission("offShelf")
	offShelf(data: any) {
		return this.request({
			url: "/offShelf",
			method: "POST",
			data
		});
	}
	@Permission("batchImport")
	batchImport(data: any) {
		return this.request({
			url: "/batchImport",
			method: "POST",
			data
		});
	}
}

export default ShuyouRentComputer;
